igeo

## Interface IMeshI

- All Superinterfaces:
    ITransformable
  All Known Implementing Classes:
    ICollidableMesh, IMesh, IMeshGeo, IMeshR

      public interface IMeshI
      extends ITransformable

  Abstract interface of polygon mesh.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVecI` | `center()` center point of mesh
    `IMeshI` | `close()`
    `IMeshI` | `cp()` cp() is alias of dup()
    `IMeshI` | `cp(double x, double y, double z)` cp() is alias of dup().add()
    `IMeshI` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)`
    `IMeshI` | `cp(IVecI v)`
    `IMeshI` | `deleteEdge(IEdge e)`
    `IMeshI` | `deleteEdge(IIntegerI i)`
    `IMeshI` | `deleteEdge(int i)`
    `IMeshI` | `deleteFace(IFace f)`
    `IMeshI` | `deleteFace(IIntegerI i)`
    `IMeshI` | `deleteFace(int i)`
    `IMeshI` | `deleteVertex(IIntegerI i)`
    `IMeshI` | `deleteVertex(int i)`
    `IMeshI` | `deleteVertex(IVertex v)`
    `IMeshI` | `dup()` duplicate the instance
    `IEdge` | `edge(IIntegerI i)`
    `IEdge` | `edge(int i)`
    `int` | `edgeNum()`
    `int` | `edgeNum(ISwitchE e)`
    `IIntegerI` | `edgeNum(ISwitchR r)`
    `java.util.ArrayList<IEdge>` | `edges()` return all edges
    `IFace` | `face(IIntegerI i)`
    `IFace` | `face(int i)`
    `int` | `faceNum()`
    `int` | `faceNum(ISwitchE e)`
    `IIntegerI` | `faceNum(ISwitchR r)`
    `java.util.ArrayList<IFace>` | `faces()` return all faces
    `IMeshGeo` | `get()`
    `boolean` | `isClosed()`
    `boolean` | `isValid()`
    `IVertex` | `vertex(IIntegerI i)`
    `IVertex` | `vertex(int i)`
    `int` | `vertexNum()`
    `int` | `vertexNum(ISwitchE e)`
    `IIntegerI` | `vertexNum(ISwitchR r)`
    `java.util.ArrayList<IVertex>` | `vertices()` return all vertices

    - ### Methods inherited from interface igeo.ITransformable

      `add, add, add, add, add, add, add, div, div, flip, mirror, mirror, mul, mul, mv, mv, mv, neg, ref, ref, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, sub, sub, sub, transform, transform, transform, transform, translate, translate, translate`

- - ### Method Detail

    - #### get

          IMeshGeo get()

    - #### dup

          IMeshI dup()

      Description copied from interface: `ITransformable`
      duplicate the instance
      Specified by:
        `dup` in interface `ITransformable`

    - #### isValid

          boolean isValid()

    - #### vertexNum

          int vertexNum()

    - #### edgeNum

          int edgeNum()

    - #### faceNum

          int faceNum()

    - #### vertexNum

          int vertexNum(ISwitchE e)

    - #### edgeNum

          int edgeNum(ISwitchE e)

    - #### faceNum

          int faceNum(ISwitchE e)

    - #### vertexNum

          IIntegerI vertexNum(ISwitchR r)

    - #### edgeNum

          IIntegerI edgeNum(ISwitchR r)

    - #### faceNum

          IIntegerI faceNum(ISwitchR r)

    - #### vertex

          IVertex vertex(int i)

    - #### edge

          IEdge edge(int i)

    - #### face

          IFace face(int i)

    - #### vertex

          IVertex vertex(IIntegerI i)

    - #### edge

          IEdge edge(IIntegerI i)

    - #### face

          IFace face(IIntegerI i)

    - #### deleteVertex

          IMeshI deleteVertex(int i)

    - #### deleteEdge

          IMeshI deleteEdge(int i)

    - #### deleteFace

          IMeshI deleteFace(int i)

    - #### deleteVertex

          IMeshI deleteVertex(IIntegerI i)

    - #### deleteEdge

          IMeshI deleteEdge(IIntegerI i)

    - #### deleteFace

          IMeshI deleteFace(IIntegerI i)

    - #### deleteVertex

          IMeshI deleteVertex(IVertex v)

    - #### deleteEdge

          IMeshI deleteEdge(IEdge e)

    - #### deleteFace

          IMeshI deleteFace(IFace f)

    - #### center

          IVecI center()

      center point of mesh

    - #### vertices

          java.util.ArrayList<IVertex> vertices()

      return all vertices

    - #### edges

          java.util.ArrayList<IEdge> edges()

      return all edges

    - #### faces

          java.util.ArrayList<IFace> faces()

      return all faces

    - #### close

          IMeshI close()

    - #### isClosed

          boolean isClosed()

    - #### cp

          IMeshI cp()

      cp() is alias of dup()
      Specified by:
        `cp` in interface `ITransformable`

    - #### cp

          IMeshI cp(double x,
                    double y,
                    double z)

      cp() is alias of dup().add()
      Specified by:
        `cp` in interface `ITransformable`

    - #### cp

          IMeshI cp(IDoubleI x,
                    IDoubleI y,
                    IDoubleI z)

      Specified by:
        `cp` in interface `ITransformable`

    - #### cp

          IMeshI cp(IVecI v)

      Specified by:
        `cp` in interface `ITransformable`